Bug 2119360 - New Fedora 35 live image builds (and likely network installs) have incorrect (upstream) theming since Plasma 5.24.5 update
Summary: New Fedora 35 live image builds (and likely network installs) have incorrect ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-desktop
Version: 35
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: openqa
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-08-18 12:58 UTC by Adam Williamson
Modified: 2022-09-10 19:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-10 19:53:37 UTC
Type: Bug


Attachments (Terms of Use)
screenshot of the incorrect theming (1.55 MB, image/png)
2022-08-18 12:58 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2022-08-18 12:58:23 UTC
Created attachment 1906259 [details]
screenshot of the incorrect theming

Since the Plasma 5.24.5 update landed in Fedora 35 - https://bodhi.fedoraproject.org/updates/FEDORA-2022-0a0b4c421a - newly-built Fedora 35 live images are incorrectly themed. The desktop background is an upstream KDE background, not the downstream Fedora 35 background. The kicker icon is an upstream KDE one, not the downstream one (Fedora logo).

This likely is also affecting new network installs of KDE too, though I haven't directly tested that.

Attaching a screenshot of how the desktop on a freshly-built, freshly-booted live ISO looks.

I'm assuming the Plasma 5.24.5 update is responsible for this, although I'm not 100% sure because KDE has no critical path definition, so that update was not actually tested by openQA; I just know the test started failing on other unrelated updates yesterday, before yesterday it was passing fine. The Plasma 5.24.5 update is the only update that hit stable yesterday that looks to be related.

Comment 1 Adam Williamson 2022-08-24 20:00:04 UTC
This just got a lot more important, because the F35 KDE base disk image for openQA just got rebuilt and it is affected by the bug. That now means every F35 update that's tested fails the KDE background test (and so will be gated).

I can disable the test or the gating, but I'd really prefer if we can fix the damn bug.

Comment 2 Fedora Update System 2022-08-24 23:55:25 UTC
FEDORA-2022-3a75635d6a has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-3a75635d6a

Comment 3 Fedora Update System 2022-08-26 12:44:34 UTC
FEDORA-2022-3a75635d6a has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-3a75635d6a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-3a75635d6a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2022-09-10 19:53:37 UTC
FEDORA-2022-3a75635d6a has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.